DELETE /x/accounts/{id}/bookmarks
Remove a bookmark. Body or query: same fields as POST
DELETE
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringX account id
application/json- body
postId*stringX post id or post URL
{accountId, action, undo, target, reposted | liked | bookmarked | following}
application/json- response
accountId?stringaction?stringValue in
"repost""like""bookmark""follow"undo?booleantarget?stringreposted?booleanliked?booleanbookmarked?booleanfollowing?booleanpendingFollow?booleancurl -X DELETE 'https://example.com/api/v1/x/accounts/string/bookmarks' \ -H 'Content-Type: application/json' \ -d '{ "postId": "string"}'Example Response
{ "accountId": "string", "action": "repost", "undo": true, "target": "string", "reposted": true, "liked": true, "bookmarked": true, "following": true, "pendingFollow": true}POST /x/accounts/{id}/bookmarks POST
Bookmark (private). LIVE and public (except bookmarks); queued for approval (202) while approval applies
POST /x/accounts/{id}/following POST
Follow a user (X allows API follows only with Enterprise access since 2026-04-20); pendingFollow when the account is protected. LIVE and public (except bookmarks); queued for approval (202) while approval applies